#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
pub type __uint8_t = libc::c_uchar;
pub type uint8_t = __uint8_t;
#[no_mangle]
pub unsafe extern "C" fn zero_buffer(mut buf: *mut uint8_t) {}
#[no_mangle]
pub unsafe extern "C" fn set_buffer_one(mut buf: *mut uint8_t) {}
#[no_mangle]
pub unsafe extern "C" fn foo() {
    let mut buf1: [uint8_t; 5] = [0, 0, 0, 0, 0];
    let mut buf2: [uint8_t; 5] = [0, 0, 0, 0, 0];
    set_buffer_one(buf2.as_mut_ptr());
    zero_buffer(buf1.as_mut_ptr());
}
unsafe fn main_0() -> libc::c_int {
    foo();
    return 0 as libc::c_int;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
